/*
 * uart_bsp.h
 *
 *  Created on: Jul 11, 2023
 *      Author: hussamaldean
 */

#ifndef UART_BSP_H_
#define UART_BSP_H_

#include "stdint.h"

#include "stm32f4xx.h"


typedef enum
{
	UART_SUCCESS=0,
	UART_FAILED =-1,
	UART_TIMEOUT=-2
}UART_StatusTypedef;

/**
 * @brief This enum represents the direction of UART
 */

typedef enum
{

	UART_TX_Only=0,
	UART_RX_Only=1,
	UART_TX_RX=2

}UART_DirectionTypedef;


typedef struct
{
	uint32_t busSpeed;
	uint32_t buadRate;
	uint8_t mode;

}UART_ConfigTypedef;

void UART2_CLOCK_ENABLE(void);

void BSP_UART_Init(USART_TypeDef *uart, UART_ConfigTypedef *config);

UART_StatusTypedef BSP_UART_Write_Char(USART_TypeDef *uart,char ch, uint32_t timeout);

UART_StatusTypedef BSP_UART_Read_Char(USART_TypeDef *uart,char *recChar, uint32_t timeout);


#endif /* UART_BSP_H_ */
