#include "bsp.h"
#include "uart_bsp.h"
void clock_config(void);

char uart_char;



int main()
{

	clock_config();

	GPIOA_CLOCK_ENABLE();

	GPIO_Configure_Typedef PA2_ALT;

	PA2_ALT.PinNumber=pin2;
	PA2_ALT.Mode=Alternate_function;
	PA2_ALT.AlternateType=AF7;
	GPIO_Initialization(GPIOA,&PA2_ALT);


	GPIO_Configure_Typedef PA3_ALT;

	PA3_ALT.PinNumber=pin3;
	PA3_ALT.Mode=Alternate_function;
	PA3_ALT.AlternateType=AF7;
	GPIO_Initialization(GPIOA,&PA3_ALT);



	UART2_CLOCK_ENABLE();

	UART_ConfigTypedef uart_config;

	uart_config.buadRate=115200;
	uart_config.busSpeed=50000000;
	uart_config.mode=UART_TX_RX;

	BSP_UART_Init(USART2, &uart_config);

	BSP_Ticks_Init(100000000);


	while(1)
	{

		if (BSP_UART_Read_Char(USART2, &uart_char, 100)==UART_SUCCESS)
		{
		BSP_UART_Write_Char(USART2,uart_char,100);
		BSP_UART_Write_Char(USART2,'\r',100);
		BSP_UART_Write_Char(USART2,'\n',100);
		}

	}

}

void clock_config(void)
{
	Clock_Config_Typedef clockConfig;

	clockConfig.PLL_M= 4;
	clockConfig.PLL_N= 200;
	clockConfig.PLL_P= 4;

	clockConfig.AHB1Prescaler=AHB1_Prescaler1;
	clockConfig.APB1Prescaler=APB1_Prescaler2;
	clockConfig.APB2Prescaler=APB2_Prescaler1;

	clockConfig.clockSourc=External_Oscillator;
	clockConfig.flash_latency= Three_wait_state;

	Clock_Configuration(&clockConfig);
}
